Bio::Roary::External::Makeblastdb(3pm)

NAME
Bio::Roary::External::Makeblastdb - Wrapper around NCBIs makeblastdb command

VERSION
version 3.12.0

SYNOPSIS
Take in a fasta file and create a temporary blast database.

   use Bio::Roary::External::Makeblastdb;

   my $blast_database= Bio::Roary::External::Makeblastdb->new(
     fasta_file => 'contigs.fa',
     exec       => 'makeblastdb'
   );

   $blast_database->run();

METHODS

  output_database
Returns the path to the temporary blast database files

AUTHOR
Andrew J. Page <ap13@sanger.ac.uk>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2013 by Wellcome Trust Sanger Institute.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007